Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jdbc
Interface ConnectionFactory

All Known Implementing Classes:
  NonXAConnectionFactory, XAConnectionFactory

    public interface ConnectionFactory

A wrapper for masking the different JDBC pooled connection factory interfaces, (discrepancy between ConnectionPoolDataSource and XADataSource) so that one pool can be used for both. Instances should have a public no-arg constructor.

Method Summary
`int` | `getLoginTimeout()` Get the login timeout in seconds
`PrintWriter` | `getLogWriter()` Gets the log writer for debugging.
`XPooledConnection` | `getPooledConnection()`
`void` | `setLoginTimeout(int secs)` Sets the login timeout.
`void` | `setLogWriter(PrintWriter pw)` Sets the log writer for debugging.

Method Detail

### getPooledConnection

    XPooledConnection getPooledConnection()
                                          throws SQLException

  Throws:
    `SQLException`

### getLogWriter

    PrintWriter getLogWriter()
                             throws SQLException

  Gets the log writer for debugging.

  Returns:
    PrintWriter The log writer; null if none or if not supported.
  Throws:
    `SQLException` - On error.

### setLogWriter

    void setLogWriter(PrintWriter pw)
                      throws SQLException

  Sets the log writer for debugging.

  Parameters:
    `pw` - The print writer to log to.
  Throws:
    `SQLException` - On error.

### getLoginTimeout

    int getLoginTimeout()
                        throws SQLException

  Get the login timeout in seconds

  Returns:
    int The no of secs before login times out.
  Throws:
    `SQLException` - On error.

### setLoginTimeout

    void setLoginTimeout(int secs)
                         throws SQLException

  Sets the login timeout.

  Parameters:
    `secs` - The no of seconds.
  Throws:
    `SQLException` - On error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.